# eric4.Preferences.ConfigurationPages.IconsPreviewDialog

Module implementing a dialog to preview the contents of an icon directory.

### Global Attributes

None

### Classes

IconsPreviewDialog | Class implementing a dialog to preview the contents of an icon directory.

### Functions

None

## IconsPreviewDialog

Class implementing a dialog to preview the contents of an icon directory.

### Derived from

QDialog, Ui_IconsPreviewDialog

### Class Attributes

None

### Class Methods

None

### Methods

IconsPreviewDialog | Constructor

### Static Methods

None

#### IconsPreviewDialog (Constructor)

IconsPreviewDialog(parent, dirName)

Constructor

parent
  parent widget (QWidget)
dirName
  name of directory to show

Up